Spaces
Get artifact stats
Reference to the scope in which the registry exists.
Format depends on the scope:
- Account-level:
account_id/+ - Organization-level:
account_id/org/+ - Project-level:
account_id/org/project/+
The /+ suffix is used internally to route scoped requests.
It must be included exactly as shown in the URL.
{"description":"Only account ID, scoped at account level","summary":"Account-level registry","value":"acc123/+"}Date. Format - MM/DD/YYYY
Date. Format - MM/DD/YYYY
response to get artifact stats response
Request processing status indicator
The request was invalid or malformed
Authentication failed or missing credentials
Access denied due to insufficient permissions
The requested resource was not found
An unexpected server error occurred
GET /api/v1/spaces/{space_ref}/artifact/stats HTTP/1.1
Accept: */*
{
"data": {
"downloadCount": 1,
"downloadSize": 1,
"totalStorageSize": 1,
"uploadSize": 1
},
"status": "SUCCESS"
}Lists all the artifacts
Reference to the scope in which the registry exists.
Format depends on the scope:
- Account-level:
account_id/+ - Organization-level:
account_id/org/+ - Project-level:
account_id/org/project/+
The /+ suffix is used internally to route scoped requests.
It must be included exactly as shown in the URL.
{"description":"Only account ID, scoped at account level","summary":"Account-level registry","value":"acc123/+"}Registry Identifier
Current page number
1Number of items per page
20sortOrder
sortField
search Term.
Latest Version Filter.
Deployed Artifact Filter.
Registry Package Type
response for list artifact
Request processing status indicator
The request was invalid or malformed
Authentication failed or missing credentials
Access denied due to insufficient permissions
The requested resource was not found
An unexpected server error occurred
GET /api/v1/spaces/{space_ref}/artifacts HTTP/1.1
Accept: */*
{
"data": {
"artifacts": [
{
"artifactKey": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"artifactType": "model",
"deletedAt": "text",
"deploymentMetadata": {
"nonProdEnvCount": 1,
"prodEnvCount": 1
},
"digestCount": 1,
"downloadsCount": 1,
"fileCount": 1,
"firewallMode": "ENABLED",
"isQuarantined": true,
"labels": [
"text"
],
"lastModified": "text",
"lastScannedAt": "text",
"latestVersion": "text",
"metadata": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"name": "text",
"packageType": "DOCKER",
"pullCommand": "text",
"purl": "text",
"quarantineReason": "text",
"registryIdentifier": "text",
"registryPath": "text",
"registryType": "VIRTUAL",
"registryUUID": "text",
"scanId": "text",
"scanStatus": "WARN",
"uuid": "text",
"version": "text"
}
],
"itemCount": 1,
"pageCount": 100,
"pageIndex": 0,
"pageSize": 1
},
"status": "SUCCESS"
}Get storage details for given space
Reference to the scope in which the registry exists.
Format depends on the scope:
- Account-level:
account_id/+ - Organization-level:
account_id/org/+ - Project-level:
account_id/org/project/+
The /+ suffix is used internally to route scoped requests.
It must be included exactly as shown in the URL.
{"description":"Only account ID, scoped at account level","summary":"Account-level registry","value":"acc123/+"}response for storage details
Request processing status indicator
The request was invalid or malformed
Authentication failed or missing credentials
Access denied due to insufficient permissions
The requested resource was not found
An unexpected server error occurred
GET /api/v1/spaces/{space_ref}/details HTTP/1.1
Accept: */*
{
"data": {
"dailyStorage": [
{
"date": "2026-01-01",
"size": "text"
}
],
"last30DayAverage": "text",
"totalSize": "text",
"totalSizeInBytes": "text"
},
"status": "SUCCESS"
}The page to return.
1The maximum number of results to return.
30The result should inherit entities from parent spaces.
falseThe substring which is used to filter the labels by their key.
OK
Bad Request
Unauthorized
Forbidden
Not Found
Internal Server Error
GET /api/v1/spaces/{space_ref}/labels HTTP/1.1
Accept: */*
[
{
"color": "blue",
"created": 1,
"created_by": 1,
"description": "text",
"id": 1,
"key": "text",
"scope": 1,
"space_id": 1,
"type": "dynamic",
"updated": 1,
"updated_by": 1,
"value_count": 1
}
]Created
Bad Request
Unauthorized
Forbidden
Not Found
Internal Server Error
POST /api/v1/spaces/{space_ref}/labels HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 67
{
"color": "blue",
"description": "text",
"key": "text",
"type": "dynamic"
}{
"color": "blue",
"created": 1,
"created_by": 1,
"description": "text",
"id": 1,
"key": "text",
"scope": 1,
"space_id": 1,
"type": "dynamic",
"updated": 1,
"updated_by": 1,
"value_count": 1
}OK
Bad Request
Unauthorized
Forbidden
Not Found
Internal Server Error
PUT /api/v1/spaces/{space_ref}/labels HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 134
{
"label": {
"color": "blue",
"description": "text",
"id": 1,
"key": "text",
"type": "dynamic"
},
"values": [
{
"color": "blue",
"id": 1,
"value": "text"
}
]
}{
"label": {
"color": "blue",
"created": 1,
"created_by": 1,
"description": "text",
"id": 1,
"key": "text",
"scope": 1,
"space_id": 1,
"type": "dynamic",
"updated": 1,
"updated_by": 1,
"value_count": 1
},
"values": [
{
"color": "blue",
"created": 1,
"created_by": 1,
"id": 1,
"label_id": 1,
"updated": 1,
"updated_by": 1,
"value": "text"
}
]
}The result should include label values.
falseCreated
Bad Request
Unauthorized
Forbidden
Not Found
Internal Server Error
GET /api/v1/spaces/{space_ref}/labels/{key} HTTP/1.1
Accept: */*
{
"label": {
"color": "blue",
"created": 1,
"created_by": 1,
"description": "text",
"id": 1,
"key": "text",
"scope": 1,
"space_id": 1,
"type": "dynamic",
"updated": 1,
"updated_by": 1,
"value_count": 1
},
"values": [
{
"color": "blue",
"created": 1,
"created_by": 1,
"id": 1,
"label_id": 1,
"updated": 1,
"updated_by": 1,
"value": "text"
}
]
}No Content
No content
Bad Request
Unauthorized
Forbidden
Not Found
Internal Server Error
DELETE /api/v1/spaces/{space_ref}/labels/{key} HTTP/1.1
Accept: */*
No content
OK
Bad Request
Unauthorized
Forbidden
Not Found
Internal Server Error
PATCH /api/v1/spaces/{space_ref}/labels/{key} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 67
{
"color": "blue",
"description": "text",
"key": "text",
"type": "dynamic"
}{
"color": "blue",
"created": 1,
"created_by": 1,
"description": "text",
"id": 1,
"key": "text",
"scope": 1,
"space_id": 1,
"type": "dynamic",
"updated": 1,
"updated_by": 1,
"value_count": 1
}OK
Bad Request
Unauthorized
Forbidden
Not Found
Internal Server Error
GET /api/v1/spaces/{space_ref}/labels/{key}/values HTTP/1.1
Accept: */*
[
{
"color": "blue",
"created": 1,
"created_by": 1,
"id": 1,
"label_id": 1,
"updated": 1,
"updated_by": 1,
"value": "text"
}
]Created
Bad Request
Unauthorized
Forbidden
Not Found
Internal Server Error
POST /api/v1/spaces/{space_ref}/labels/{key}/values HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 31
{
"color": "blue",
"value": "text"
}{
"color": "blue",
"created": 1,
"created_by": 1,
"id": 1,
"label_id": 1,
"updated": 1,
"updated_by": 1,
"value": "text"
}No Content
No content
Bad Request
Unauthorized
Forbidden
Not Found
Internal Server Error
DELETE /api/v1/spaces/{space_ref}/labels/{key}/values/{value} HTTP/1.1
Accept: */*
No content
OK
Bad Request
Unauthorized
Forbidden
Not Found
Internal Server Error
PATCH /api/v1/spaces/{space_ref}/labels/{key}/values/{value} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 31
{
"color": "blue",
"value": "text"
}{
"color": "blue",
"created": 1,
"created_by": 1,
"id": 1,
"label_id": 1,
"updated": 1,
"updated_by": 1,
"value": "text"
}Lists all the registries.
Reference to the scope in which the registry exists.
Format depends on the scope:
- Account-level:
account_id/+ - Organization-level:
account_id/org/+ - Project-level:
account_id/org/project/+
The /+ suffix is used internally to route scoped requests.
It must be included exactly as shown in the URL.
{"description":"Only account ID, scoped at account level","summary":"Account-level registry","value":"acc123/+"}Registry Package Type
Registry Type
Current page number
1Number of items per page
20sortOrder
sortField
search Term.
Whether to list registries recursively.
Deprecated. Use the new scope parameter.
recursive=true→scope=ancestorsrecursive=false→scope=none
falseScope of registries to list
- none – current space only (default) * ancestors – current space plus all parent spaces * descendants – current space plus all child spaces
If omitted,noneis assumed.
response for list registry
Request processing status indicator
The request was invalid or malformed
Authentication failed or missing credentials
Access denied due to insufficient permissions
The requested resource was not found
An unexpected server error occurred
GET /api/v1/spaces/{space_ref}/registries HTTP/1.1
Accept: */*
{
"data": {
"itemCount": 1,
"meta": {
"activeCount": 95,
"deletedCount": 5
},
"pageCount": 100,
"pageIndex": 0,
"pageSize": 1,
"registries": [
{
"artifactsCount": 1,
"deletedAt": "text",
"deletedBy": {
"email": "text",
"name": "text"
},
"description": "text",
"downloadsCount": 1,
"identifier": "text",
"isPublic": true,
"lastModified": "text",
"packageType": "DOCKER",
"path": "text",
"registrySize": "text",
"type": "VIRTUAL",
"url": "text",
"uuid": "text"
}
]
},
"status": "SUCCESS"
}Last updated
Was this helpful?